%define	name	eagle-usb
%define	rname	%{name}_kernel-%{kernel_version}
%define	version	2.2.0
%define release	4mdk
%define	url	http://www.eagle-usb.org/ 

Summary:	Firmware and utility of Sagem Fast 800 usb modem kernel module
Name:		%{name}
Url:		%{url}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch1:		eagle-usb-1.9.9-dhcp.patch.bz2
License:	GPL
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	hotplug
BuildRequires:	kernel-source
BuildRequires:	tcl tk
Obsoletes:	adiusbadsl, eagle
Provides:	adiusbadsl = %version
Provides:	eagle = %version

%description 
Firmware and utility for the Sagem Fast 800 usb modem 

%package -n eagleconnect
Group:		System/Configuration/Networking
Summary:	Configuration utility for modems using eagle-usb
Requires:	%{name}

%description -n eagleconnect
eagleconnect is a configuration utility for modems using eagle-usb.

%prep
%setup -q
%patch1 -p1 -b .dhcp

%build
%configure --disable-ifupdown --disable-module --enable-cmvs --sbindir=/sbin --with-dsp-dir=/lib/%{name}/dsp
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# we don't use this init script
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/init.d/eagle-usb

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/ppp
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/hotplug/usb
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/hotplug/%{name}
install -m644 driver/user/eagle-usb.conf $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/eagle-usb.conf
install -m644 driver/user/eagle-usb.conf $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/eagle-usb.no-CMV.conf
install -m755 utils/scripts/tmp/eu_dsp $RPM_BUILD_ROOT/%{_sysconfdir}/hotplug/usb/eagle-usb
install -m644 utils/scripts/usb.usermap $RPM_BUILD_ROOT/%{_libdir}/hotplug/%{name}/usb.usermap
#- options.adsl file should be modified according to configuration:
#-    user "$USER"
#- from options.adsl.template
install -m644 utils/scripts/options $RPM_BUILD_ROOT/%{_sysconfdir}/ppp/options.adsl.template
echo "user \"adsl@adsl\"" > $RPM_BUILD_ROOT/%{_sysconfdir}/ppp/options.mire
cat utils/scripts/options >> $RPM_BUILD_ROOT/%{_sysconfdir}/ppp/options.mire

rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/scripts/lock

%post
/usr/sbin/update-usb.usermap || :

%postun
if [ "$1" = 0 ]; then
  /usr/sbin/update-usb.usermap || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README VERSION pppoa/COPYING utils/scripts/net_cnx_*
/sbin/*
%{_libdir}/hotplug/%{name}
%{_sysconfdir}/hotplug/usb/*
%dir /lib/%{name}
/lib/%{name}/dsp/*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/lang/*
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/CMV*
%config(noreplace) %{_sysconfdir}/%{name}/%{name}*
%config(noreplace) %{_sysconfdir}/%{name}/ppp_options.template
%config(noreplace) %{_sysconfdir}/%{name}/setvars
%config(noreplace) %{_sysconfdir}/ppp/*

%files -n eagleconnect
%defattr(-,root,root)
%doc README
%config(noreplace) %{_sysconfdir}/%{name}/eagleconnect/*
%config(noreplace) %{_sysconfdir}/%{name}/eagleconnect.conf

%changelog
* Wed Mar 30 2005 Olivier Blin <oblin@mandrakesoft.com> 2.2.0-4mdk
- install binaries in /sbin and dsp in /lib/%{name}/dsp
  (so that hotplug can load the dsp if /usr isn't mounted)
- copy original eagle-usb.conf as eagle-usb.no-CMV.conf

* Mon Mar 21 2005 Olivier Blin <oblin@mandrakesoft.com> 2.2.0-3mdk
- move eaglestat and eaglectrl in /sbin
  (needed by hotplug before /usr is mounted)

* Sat Mar 12 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.0-2mdk
- add BuildRequires: tcl tk

* Thu Mar  3 2005 Olivier Blin <oblin@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0
- enable CMVs

* Thu Feb 24 2005 Olivier Blin <oblin@mandrakesoft.com> 2.1.1-1mdk
- 2.1.1
- from Benoit Audouard <baud123@tuxfamily.org>:
  o disable CMVs
  o do not run autogen.sh anymore
- rpmbuildupdate aware
- remove Patch1 (merged upstream)
- don't ship the init script
- fix summary ended with dot
- simplify build (use --disable-module)
- add eagleconnect sub-package

* Sat Oct  9 2004 Olivier Blin <blino@mandrake.org> 1.9.9-7mdk
- workaround in Patch1: write ethX file instead of ifcfg-ethX
  (make dhpc/static connections start at boot)
- Patch2: new OPTNxx to support F@st 800 E2L devices too
- really bzip2 Patch0

* Tue Sep 14 2004 Olivier Blin <blino@mandrake.org> 1.9.9-6mdk
- fix Patch1: update correct ifcfg file

* Mon Sep 13 2004 Olivier Blin <blino@mandrake.org> 1.9.9-5mdk
- update again Patch1 (fix #11410)
  don't use symlinks for ifcfg-sagem, copy it to ifcfg-ethX
  (but update DEVICE and set ONBOOT to no)

* Fri Sep 10 2004 Olivier Blin <blino@mandrake.org> 1.9.9-4mdk
- don't delete default route in fctStartAdsl -i (update Patch1)

* Tue Sep  7 2004 Olivier Blin <blino@mandrake.org> 1.9.9-3mdk
- make Patch1 really usable

* Mon Sep  6 2004 Olivier Blin <blino@mandrake.org> 1.9.9-2mdk
- Patch1: in fctStartAdsl, link ifcfg-ethX to ifcfg-sagem
  (for dhcp connections)

* Fri Sep  3 2004 Olivier Blin <blino@mandrake.org> 1.9.9-1mdk
- 1.9.9
- remove Patch0, the configure script now uses the good peers file
- Patch0: fix asynchronous start in rc.eagle-usb

* Fri Aug 27 2004 Olivier Blin <blino@mandrake.org> 1.9.8-7mdk
- Patch0: use ppp0 peers file instead of adsl

* Fri Jul 30 2004 Olivier Blin <blino@mandrake.org> 1.9.8-6mdk
- do not use ifup/ifdown but ifconfig to handle virtual interface
- hotplug scripts should be replaced on upgrade

* Wed Jul 28 2004 Olivier Blin <blino@mandrake.org> 1.9.8-5mdk
- don't package %{_sysconfdir}/hotplug/usb/eagle-usb.usermap
  (prefer to update usb.usermap)

* Tue Jul 27 2004 Olivier Blin <blino@mandrake.org> 1.9.8-4mdk
- drop ppp requires (drakconnect will handle that if needed)

* Mon Jul 26 2004 Olivier Blin <blino@mandrake.org> 1.9.8-3mdk
- fix hotplug files installation
  (i.e make eagle-usb ready to work by loading the DSP)

* Wed Jul 21 2004 Olivier Blin <blino@mandrake.org> 1.9.8-2mdk
- fix url (Fabrice Facorat)

* Wed Jul 21 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.9.8-1mdk
- 1.9.8.

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.9.5-5mdk
- fix buildrequires
- do %%configure in %%build, not %%prep
- spec cosmetics

* Mon Feb 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.5-4mdk
- re-refix provides (we did provide eagle in 2 betas and the installer
  currently looks for eagle, not eagle-usb)

* Mon Feb 16 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.9.5-3mdk
- refix provides (titi we are in cooker time)
- fix License s/LGPL/GPL/
- fix/arrange spec file

* Sun Feb 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.5-2mdk
- fix provides

* Mon Feb 09 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.9.5-1mdk
- new release
- change name of package s/eagle/eagle-usb/ (same name as kernel driver)

* Tue Feb 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.4-1mdk
- new release

* Wed Jan 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.3-2mdk
- fix provides
- fix planel changelog

* Mon Jan 26 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.9.3-1mdk
- 1.9.3.
- cleaning spec file.

* Fri Aug 22 2003 Nicolas Planel <nplanel@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4.

* Wed Jul 16 2003 Franois Pons <fpons@mandrakesoft.com> 1.0.4-0.pre5.1.1mdk
- courtesy specs from Philippe Libat.
- fixed --with modules support missing (only --without supported).
- 1.0.4-pre5.1.

* Tue Apr 01 2003 Nicolas Planel <nplanel@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3.
- no more cc release.

* Thu Mar 06 2003 Franois Pons <fpons@mandrakesoft.com> 1.0.2-0.cc5.2mdk
- fixed requires (dropped drakxtools and added ppp).

* Mon Feb 17 2003 Franois Pons <fpons@mandrakesoft.com> 1.0.2-0.cc5.1mdk
- 1.0.2-cc5 from http://eagle-usb.fr.st.

* Fri Jan 31 2003 Franois Pons <fpons@mandrakesoft.com> 1.0.2-0.cc3.1mdk
- use eagle-1.0.2-cc3 driver from http://eagle-usb.fr.st which support
  correctly pppoa and hotplug (among other fixes).

* Fri Dec 06 2002  Nicolas Planel <nplanel@mandrakesoft.com> 1.0.1-4mdk
- Fix adiusbadsl hotplug script
- remove patch usb_usermap

* Tue Nov 26 2002  Stew Benedict <sbenedict@mandrakesoft.com> 1.0.1-3mdk
- ignore rpmlint hardcoded-library-path

* Tue Nov 26 2002  Stew Benedict <sbenedict@mandrakesoft.com> 1.0.1-2mdk
- PPC build - invalid gcc flags (patch6)
- change hardcoded-library-path

* Wed Sep 11 2002  Nicolas Planel <nplanel@mandrakesoft.com> 1.0.1-1mdk
- Generate multiple kernel version from same source 
- Driver, firmware, utility for Sagem ADSL Fast 800 1.0.1
- Note : adiusbadsl_kernel is generate only if kernel < 2.4.20 
  (included since 2.4.20-0.2mdk)

# end of file
